// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "dawnlibs.hpp"

namespace Dawn {
  class DawnGame;

  class RenderManager {
    public:
      std::weak_ptr<DawnGame> game;
      
      RenderManager(std::weak_ptr<DawnGame>);

      void init();
      void update();

      ~RenderManager();
  };
}