// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/SceneItemComponent.hpp"
#include "display/mesh/Mesh.hpp"

namespace Dawn {
  class MeshRenderer : public SceneItemComponent {
    public:
      std::shared_ptr<Mesh> mesh = nullptr;

      MeshRenderer(std::weak_ptr<SceneItem> item);

      void start() override;
  };
}